<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:47 AST 2017 -->
<title>R-Index</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="R-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#readQueue()">readQueue()</a></span> - Method in class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#readStack()">readStack()</a></span> - Method in class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#remove(java.lang.Object)">remove(Object)</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#remove()">remove()</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#removeAll(java.util.Collection)">removeAll(Collection&lt;?&gt;)</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#removeFirst()">removeFirst()</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Interface/Deque.html#removeFirst()">removeFirst()</a></span> - Method in interface Interface.<a href="../Interface/Deque.html" title="interface in Interface">Deque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/ArrayDeque.html#removeFirst()">removeFirst()</a></span> - Method in class Queue.<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#removeFirst()">removeFirst()</a></span> - Method in class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Stack/ArrayStack.html#removeFirst()">removeFirst()</a></span> - Method in class Stack.<a href="../Stack/ArrayStack.html" title="class in Stack">ArrayStack</a></dt>
<dd>
<div class="block">Remove an element from front of stack - POP Operation
 The first index of an array is the mouth of a stack</div>
</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#removeFirst()">removeFirst()</a></span> - Method in class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>
<div class="block">Remove an element from front of stack</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#removeLast()">removeLast()</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Interface/Deque.html#removeLast()">removeLast()</a></span> - Method in interface Interface.<a href="../Interface/Deque.html" title="interface in Interface">Deque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/ArrayDeque.html#removeLast()">removeLast()</a></span> - Method in class Queue.<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#removeLast()">removeLast()</a></span> - Method in class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>
<div class="block">Remove an element from front of deque</div>
</dd>
<dt><span class="strong"><a href="../Stack/ArrayStack.html#removeLast()">removeLast()</a></span> - Method in class Stack.<a href="../Stack/ArrayStack.html" title="class in Stack">ArrayStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#removeLast()">removeLast()</a></span> - Method in class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#retainAll(java.util.Collection)">retainAll(Collection&lt;?&gt;)</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
